DWARF_WHATATTR(3) | Library Functions Manual | DWARF_WHATATTR(3)

# NAME

`dwarf_whatattr` — retrieve the attribute code for a DWARF attribute

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_whatattr`(Dwarf_Attribute attr, Dwarf_Half *retcode, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_whatattr`() retrieves the attribute code for the DWARF attribute referenced by argument attr, and writes it to the location pointed to by argument retcode. If argument err is not `NULL`, it will be used to return an error descriptor in case of an error.

# RETURN VALUES

On success, function `dwarf_whatattr`() returns `DW_DLV_OK`. In case of an error, it returns `DW_DLV_ERROR` and sets argument err.

# ERRORS

Function `dwarf_whatattr`() can fail with the following error:

[`DW_DLE_ARGUMENT`]
  Either of argument attr or retcode was `NULL`.

# SEE ALSO

dwarf(3), dwarf_attr(3), dwarf_hasattr(3)

May 22, 2010 | NetBSD 11.0